Package com.explodingpixels.macwidgets.plaf

## Class HudLabelUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.LabelUI
    - - javax.swing.plaf.basic.BasicLabelUI
      - - com.explodingpixels.macwidgets.plaf.HudLabelUI

All Implemented Interfaces:
  `java.beans.PropertyChangeListener`, `java.util.EventListener`

    public class HudLabelUI
    extends javax.swing.plaf.basic.BasicLabelUI

Creates a Heads Up Display (HUD) style label, similar to that seen in various iApps (e.g. iPhoto).

### Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicLabelUI

`labelUI`

### Constructor Summary

Constructors
`HudLabelUI()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `installDefaults​(javax.swing.JLabel c)`
`void` `paint​(java.awt.Graphics graphics, javax.swing.JComponent c)`
`protected void` `paintDisabledText​(javax.swing.JLabel l, java.awt.Graphics g, java.lang.String s, int textX, int textY)`

### Methods inherited from class javax.swing.plaf.basic.BasicLabelUI

`createUI, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installComponents, installKeyboardActions, installListeners, installUI, layoutCL, paintEnabledText, propertyChange, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HudLabelUI

    public HudLabelUI()

### Method Detail

#### installDefaults

    protected void installDefaults​(javax.swing.JLabel c)

Overrides:
  `installDefaults` in class `javax.swing.plaf.basic.BasicLabelUI`

#### paint

    public void paint​(java.awt.Graphics graphics,
                      javax.swing.JComponent c)

Overrides:
  `paint` in class `javax.swing.plaf.basic.BasicLabelUI`

#### paintDisabledText

    protected void paintDisabledText​(javax.swing.JLabel l,
                                     java.awt.Graphics g,
                                     java.lang.String s,
                                     int textX,
                                     int textY)

Overrides:
  `paintDisabledText` in class `javax.swing.plaf.basic.BasicLabelUI`